Skip to main content
GET
/
partner
/
usage
/
records
List usage records
curl --request GET \
  --url https://api.contro.me/v1/partner/usage/records \
  --header 'x-contro-api-key: <api-key>'
{
  "data": [
    {
      "id": "usage_abc123",
      "type": "card_issuance",
      "amount": 5,
      "referenceId": "card_def456",
      "billingPeriod": "2026-03",
      "createdAt": "2026-03-15T10:30:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-contro-api-key
string
header
required

Partner API key (sk_live_* for production, sk_test_* for sandbox)

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Number of items per page (1-100)

Required range: 1 <= x <= 100
period
string

Billing period in YYYY-MM format

Example:

"2026-03"

type
string

Filter by usage type. One of: card_issuance, transaction_processing, kyc_verification

Example:

"card_issuance"

Response

Usage records

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required